package webapps.ajax1.entities;
import java.util.*;
/**
 * Clase que representa una tupla de la tabla TEST b.d. test.fdb
 * 
 * @author grchere
 */
public class Test {
    private int id;
    private String descripcion;
    private Date fecha;
    public Test() { this(0); }
    public Test(int i) { this(i,""); }
    public Test(int i,String s) { this(i,s,new Date()); }
    public Test(int i,String s,Date d) { setId(i);setDescripcion(s);setFecha(d); }
    public void setId(int i) { id = i; }
    public void setDescripcion(String s) { descripcion = s; }
    //public void setFecha(Date d) { fecha = d; }
    public void setFecha(Date d) { fecha = d; }
    public int getId() { return id; }
    public String getDescripcion() { return descripcion; }
    public Date getFecha() { return fecha; }
    // override Object
    @Override
    public String toString() {
        return "[id="+getId()+",descripcion="+getDescripcion()+",fecha="+getFecha()+"]";
    }
}
