package webapps.ajax1.grid;

import java.util.*;
import java.sql.*;
/**
 * Write a description of class SSTable here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class SSTable {
    // instance variables - replace the example below with your own
    private String name;
    private Map<String,SSOption> gral = new HashMap<String,SSOption>();
    private List<SSField> fields = new ArrayList<SSField>();
    private Map<String,SSOption> act = new HashMap<String,SSOption>();
    private Map<String,SSOption> evt = new HashMap<String,SSOption>();
    {
/*
A jQuery object that can be used instead of the '+ add new record' link. Thus you can set any element on the page to open the 'add new record' dialog.
 */        
        gral.put("addRecordButton",new SSOption("addRecordButton","object",null,null));
/*
An object that defines default options for all ajax requests performed by jTable. See jQuery's $.ajax method for all available options.
Default value for this option is:

ajaxSettings: {
    type: 'POST',
    dataType: 'json'
}
This option overrides default ajaxSetting by extending it. So, if you just want to change type, you can set this option as ajaxSettings: { type: 'GET' }.
 */        
        gral.put("ajaxSettings",new SSOption("ajaxSettings","object",null,null));
/*
A boolean value indicates that whether jTable shows animations when user creates, updates or deletes a row.
 */        
        gral.put("animationsEnabled",new SSOption("animationsEnabled","boolean","true","true",true));
/*
A boolean value indicates that whether jTable allows user to resize data columns by dragging.
 */        
        gral.put("columnResizable",new SSOption("columnResizable","boolean","true","true"));
/*
A boolean value indicates that whether jTable allows user to show/hide data columns by right clicking table header.
 */        
        gral.put("columnSelectable",new SSOption("columnSelectable","boolean","true","true"));
/*
Default format of a date field. See jQueryUI datepicker formats.
The format can be combinations of the following:

d - day of month (no leading zero)
dd - day of month (two digit)
o - day of the year (no leading zeros)
oo - day of the year (three digit)
D - day name short
DD - day name long
m - month of year (no leading zero)
mm - month of year (two digit)
M - month name short
MM - month name long
y - year (two digit)
yy - year (four digit)
@ - Unix timestamp (ms since 01/01/1970)
! - Windows ticks (100ns since 01/01/0001)
'...' - literal text
'' - single quote
anything else - literal text
 */        
        gral.put("defaultDateFormat",new SSOption("defaultDateFormat","string","yy-mm-dd","dd/mm/yy",true));
/*
Default sorting of table. It can be a field name of a column of the table. For instance, if you want table sorted by Name by default, defaultSorting can be 'Name ASC' or 'Name DESC'.
 */        
        gral.put("defaultSorting",new SSOption("defaultSorting","string",null,null));
/*
This option can be a boolean value or a function. If it is a boolean value, that indicates whether a confirmation dialog is shown when user clicks delete button/icon for a record.

If this option is a function, It can fully control delete confirmation process. It must be a function as shown below.

deleteConfirmation: function(data) {
    //...
}
data argument has some properties to control confirmation process:

row: A jQuery selection for deleting row element.
record: Actual deleting record. For example, you can get Name property of record as data.record.Name.
cancel: You can set data.cancel to true to cancel delete process (default value is false).
cancelMessage: If you cancelled delete process, you can show a message to user that explains cancellation reason. If you don't want to show any message, just don't set it.
deleteConfirm: A boolean value indicates whether to show a delete confirmation message or not (default value is true).
deleteConfirmMessage: If confirmation enabled, you can set a custom confirmation message.
For example, if you want to show some additional information to user on delete confirmation, you can write a function like that:

deleteConfirmation: function(data) {
    data.deleteConfirmMessage = 'Are you sure to delete person ' + data.record.Name + '?';
}
 */        
        gral.put("deleteConfirmation",new SSOption("deleteConfirmation","boolean|function","true","true",true));
/*
jQueryUI effect to be used while opening a jQueryUI dialog. Some options are 'blind', 'bounce', 'clip', 'drop', 'explode', 'fold', 'highlight', 'puff', 'pulsate', 'scale', 'shake', 'size', 'slide'... etc. See jQueryUI documentation for all options.
 */        
        gral.put("dialogShowEffect",new SSOption("dialogShowEffect","string","fade","fade"));
/*
If paging enabled, this value can be used to determine how to show 'go to page' input. Possible values:

combobox: Show a combobox (that contains all pages) to allow user to go to desired page.
textbox: Show a text box to allow user to go to desired page.
none: Does not shows 'go to page' input.
 */        
        gral.put("gotoPageArea",new SSOption("gotoPageArea","string","combobox","combobox"));
/*
jTable has it's own themes those can be used easily. But, you may want to use color schema and styles of your jQueryUI as jTable's theme. So, this option can be used to declare jTable to use jQueryUI's colors and styles. To do it, set jqueryuiTheme: true in your jTable initialization code and include needed css files to your page as shown below:

<!-- jQueryUI's css file -->
<link href="/Scripts/jqueryUi/themes/redmond/jquery-ui-1.10.1.custom.min.css")" rel="stylesheet" type="text/css" />
<!-- jTable's jQueryUi css file -->
<link href="/Scripts/jtable/themes/jqueryui/jtable_jqueryui.css")" rel="stylesheet" type="text/css" />
jQueryUI has a powerful theme system. You can create your own theme on http://jqueryui.com/themeroller/.
 */        
        gral.put("jqueryuiTheme",new SSOption("jqueryuiTheme","boolean","false","false"));
/*
jTable delays 'loading...' animation for a while to allow ajax request to complete. 
If it does not complete in defined timeout, animation is shown. This option defines this timeout value (as milliseconds). 
To disable this feature, set 0 to loadingAnimationDelay option.
 */        
        gral.put("loadingAnimationDelay",new SSOption("loadingAnimationDelay","int","500","500"));
/*
This option used to localize jTable. See localization.
jTable can be easily localized either using ready localization files or writing your custom localized messages.

With localization files

You can easily localize jTables on your site by adding a localization script in the localization folder of the library, just after the jtable script file:

<script type="text/javascript" src="/Scripts/jtable/jquery.jtable.js">
<script type="text/javascript" src="/Scripts/jtable/localization/jquery.jtable.tr.js">
Turkish (tr) localization is shown above. There are translation of jTable messages in variant languages. You can also write your own localization script files. If you do it, you can share localization file with jTable community on github.

With custom localized messages

You can use the messages option to localize a jTable instance on initialization. Default value of the messages option is shown below:

messages: {
    serverCommunicationError: 'An error occured while communicating to the server.',
    loadingMessage: 'Loading records...',
    noDataAvailable: 'No data available!',
    addNewRecord: 'Add new record',
    editRecord: 'Edit Record',
    areYouSure: 'Are you sure?',
    deleteConfirmation: 'This record will be deleted. Are you sure?',
    save: 'Save',
    saving: 'Saving',
    cancel: 'Cancel',
    deleteText: 'Delete',
    deleting: 'Deleting',
    error: 'Error',
    close: 'Close',
    cannotLoadOptionsFor: 'Can not load options for field {0}',
    pagingInfo: 'Showing {0}-{1} of {2}',
    pageSizeChangeLabel: 'Row count',
    gotoPageLabel: 'Go to page',
    canNotDeletedRecords: 'Can not deleted {0} of {1} records!',
    deleteProggress: 'Deleted {0} of {1} records, processing...'
}
Here, a sample localization for Turkish language:

//Localization
var turkishMessages = {
    serverCommunicationError: 'Sunucu ile iletişim kurulurken bir hata oluştu.',
    loadingMessage: 'Kayıtlar yükleniyor...',
    noDataAvailable: 'Hiç kayıt bulunmamaktadır!',
    addNewRecord: 'Yeni kayıt ekle',
    editRecord: 'Kayıt düzenle',
    areYouSure: 'Emin misiniz?',
    deleteConfirmation: 'Bu kayıt silinecektir. Emin misiniz?',
    save: 'Kaydet',
    saving: 'Kaydediyor',
    cancel: 'İptal',
    deleteText: 'Sil',
    deleting: 'Siliyor',
    error: 'Hata',
    close: 'Kapat',
    cannotLoadOptionsFor: '{0} alanı için seçenekler yüklenemedi!',
    pagingInfo: 'Görterilen: {0}-{1}, Toplam: {2}',
    pageSizeChangeLabel: 'Satır sayısı',
    gotoPageLabel: 'Sayfaya git',
    canNotDeletedRecords: '{1} kayıttan {0} adedi silinemedi!',
    deleteProggress: '{1} kayıttan {0} adedi silindi, devam ediliyor...'
};
To set localized messages for a jTable instance (in jTable initialization):

//Prepare jtable plugin
$('#PersonTable').jtable({            
    messages: turkishMessages,
});
To set localized messages for all jTable instances of your web site:

$.extend(true, $.hik.jtable.prototype.options.messages, turkishMessages); 
See How to set general options to get detailed information about setting general options for jTable.


 */       
        String spmsg = "{\"serverCommunicationError\": \"Un Error ha ocurrido mientras se comunicaba con el servidor...\","+
                        "\"loadingMessage\": \"Cargando Registros...\","+
                        "\"noDataAvailable\": \"Hay datos disponibles!\","+
                        "\"addNewRecord\": \"+Nuevo Registro\","+
                        "\"editRecord\": \"Editar Registro\","+
                        "\"areYouSure\": \"¿Esta Ud. Seguro?\","+
                        "\"deleteConfirmation\": \"¿Esta seguro de borrar este registro?\","+
                        "\"save\": \"Grabar\","+
                        "\"saving\": \"Grabando..\","+
                        "\"cancel\": \"Cancelar\","+
                        "\"deleteText\": \"Borrar\","+
                        "\"deleting\": \"Borrando..\","+
                        "\"error\": \"Error!\","+
                        "\"close\": \"Cerrar\","+
                        "\"cannotLoadOptionsFor\": \"No puedo cargar las opciones para el campo {0}\","+
                        "\"pagingInfo\": \"Mostrando {0}-{1} de {2}\","+
                        "\"pageSizeChangeLabel\": \"# filas\","+
                        "\"gotoPageLabel\": \"Ir a Pagina\","+
                        "\"canNotDeletedRecords\": \"No puedo borrar registro {0} de {1} !\","+
                        "\"deleteProggress\": \"Borrando registro {0} de {1}, procesando...\"}";
        gral.put("messages",new SSOption("messages","object",null,spmsg,true));
/*
Indicates that whether jTable allows user to select multiple rows at once.
 */        
        gral.put("multiselect",new SSOption("multiselect","boolean","false","false"));
/*
Indicates that whether jTable allows user to sort table according to multiple columns. 
If this option is set to true, User can perform multiple sorting by holding CTRL key.

If user selects multiple column for sorting, jTable sends column names seperated by comma as like 'Name DESC,BirthDay ASC'. 
See listAction for more information.
 */
        gral.put("multiSorting",new SSOption("multiSorting","boolean","false","false"));
/*
If this options is set to true, jTable automatically closes other open child tables when a child table is opened (accordion style).
 */        
        gral.put("openChildAsAccordion",new SSOption("openChildAsAccordion","boolean","false","false"));
/*
Indicates that whether jTable uses paging or not. jTable sends additional parameters to server if paging is enabled. See listAction for more information.
 */        
        gral.put("paging",new SSOption("paging","boolean","false","false"));
/*
This option is used to select page list type. Possible values:

minimal: Show only first, previous, next and last links.
normal: Shows page numbers in addition to 'minimal'.

 */        
        gral.put("pageList",new SSOption("pageList","string","normal","normal"));
/*
If paging enabled, this value indicates number of rows in a page. pageSize option can be changed later as like below:

$('#MyTableContainer').jtable('option', 'pageSize', 20);
 */        
        gral.put("pageSize",new SSOption("pageSize","number","10","10"));
/*
If paging enabled, this option can be used to determine numbers in 'page size change combobox'. 
Default values are shown above. You can set an array of any numbers you want.
 */        
        gral.put("pageSizes",new SSOption("pageSizes","array","[10, 25, 50, 100, 250, 500]","[10, 25, 50, 100, 250, 500]"));
/*
If paging enabled, this value can be used to make 'page size change combobox' visible or not.
 */        
        gral.put("pageSizeChangeArea",new SSOption("pageSizeChangeArea","boolean","true","true"));
/*
Indicates that whether jTable saves/loads user preferences such as resized columns. 
Saving/restoring preferences are based on a hashed value that is generated using tableId, all column names and total column count. 
So, changing columns will change the hash and user preferences are reset.
 */        
        gral.put("saveUserPreferences",new SSOption("saveUserPreferences","boolean","true","true"));
/*
Indicates that whether jTable allows user to select rows on the table.
 */        
        gral.put("selecting",new SSOption("selecting","boolean","false","false"));
/*
Indicates that whether jTable shows checkbox column for selecting.
 */        
        gral.put("selectingCheckboxes",new SSOption("selectingCheckboxes","boolean","false","false"));
/*
Indicates that whether jTable allows user to select a row by clicking anywhere on the row. 
This can be set as false to allow user selecting a row only by clicking to the checkbox (see selectingCheckboxes option).
 */        
        gral.put("selectOnRowClick",new SSOption("selectOnRowClick","boolean","true","true"));
/*
Indicates that whether jTable will show a close button/icon for the table. 
When user clicks the close button, closeRequested event is raised. This option is used internally by jTable to close child tables.
sorting boolean default: false
 */        
        gral.put("showCloseButton",new SSOption("showCloseButton","boolean","false","false"));
/*
Indicates that whether jTable will sort the table or not.
 */        
        gral.put("sorting",new SSOption("sorting","boolean","false","false"));
/*
A string that is a unique identifier for this table. This value is used on saving/restoring user preferences. 
If this is set, it's set to table's (the table tag's) id property. This setting is optional.
 */        
        gral.put("tableId",new SSOption("tableId","string",null,null));
/*
A string that is shown on top of the table. This is optional, if you don't supply the title option, title area is not displayed at all.
 */        
        gral.put("title",new SSOption("title","string",null,null));
/*
This option is used to control jTable toolbar and it's items. By default, only item in toolbar is 'Add new record' item (it's added by jTable if you define createAction). Using this option, you can add custom items.
Default value of this option is shown below:

toolbar: {
    hoverAnimation: true, //Enable/disable small animation on mouse hover to a toolbar item.
    hoverAnimationDuration: 60, //Duration of the hover animation.
    hoverAnimationEasing: undefined, //Easing of the hover animation. Uses jQuery's default animation ('swing') if set to undefined.
    items: [] //Array of your custom toolbar items.
}
Here a sample definition that adds two custom item to toolbar:

toolbar: {
    items: [{
        icon: '/images/excel.png',
        text: 'Export to Excel',
        click: function () {
            //perform your custom job...
        }
    },{
        icon: '/images/pdf.png',
        text: 'Export to Pdf',
        click: function () {
            //perform your custom job...
        }
    }]
},
icon, text and click are optional. But you must define 'icon' or 'text', otherwise jTable can not show the toolbar item. In the click function, you can write your custom javascript codes.

You can also use some additional options for each toolbar item:

cssClass: Used to add custom css classes to toolbar item.
tooltip: Used to set a tool tip for this item. jTable sets HTML 'title' attribute.
 */        
        gral.put("toolbar",new SSOption("toolbar","object",null,null));
/*
A URL to redirect the page when an ajax request to the server returns with UnAuthorizedRequest = true or HTTP status 401. 
If this option is not set, jTable refresh the page when server returns UnAuthorizedRequest = true or HTTP status 401.
 */        
        gral.put("unAuthorizedRequestRedirectUrl",new SSOption("unAuthorizedRequestRedirectUrl","string",null,null));
    }

    /**
     * Constructor for objects of class SSTable
     */
    public SSTable() {
        // initialise instance variables
        this("none");
    }
    public SSTable(String n) {
        this(n,null);
    }
    public SSTable(ResultSet rs) {
        try {
            ResultSetMetaData rsm = rs.getMetaData();
            for(int i=1;i <= rsm.getColumnCount();i++) {
                SSField fld = new SSField(rsm.getColumnName(i).toLowerCase());
                add(fld);
            }
        } catch(SQLException sqle) {
        }
    }
    public SSTable(String n,List<SSOption> gra) {
        this(n,gra,null);
    }
    public SSTable(String n,List<SSOption> gra,List<SSField> fld) {
        this(n,gra,fld,null);
    }
    public SSTable(String n,List<SSOption> gra,List<SSField> fld,List<SSOption> ac) {
        setName(n);
        addGeneral(gra);
        addField(fld);
        addAction(ac);
    }
    //setters
    public void setName(String n) { name=n; }
    
    //getters
    public String getName() { return name; }
    public SSOption getGeneral(String fn) { return gral.get(fn); }
    
    //custom
    public void add(SSField f) { if ( f != null ) fields.add(f); }
    public void addGeneral(SSOption gr) { if ( gr != null ) gral.put(gr.getName(),gr); }
    public void addGeneral(List<SSOption> gr) {
        if ( gr == null ) return;
        for(SSOption o : gr) {
            gral.put(o.getName(),o);
        }
    }
    public void addField(SSField f) { add(f); }
    public void addField(List<SSField> fl) {
        if ( fl != null ) fields.addAll(fl);
    }
    public void addAction(SSOption ac) { if ( ac != null ) act.put(ac.getName(),ac); }
    public void addAction(List<SSOption> ac) {
        if ( ac == null ) return;
        for(SSOption o : ac) {
            act.put(o.getName(),o);
        }
    }
    public void addEvent(SSOption ev) { if ( ev != null ) evt.put(ev.getName(),ev); }
    public void addEvent(List<SSOption> ev) {
        if ( ev == null ) return;
        for(SSOption o : ev) {
            evt.put(o.getName(),o);
        }
    }
    /**
     * <field name>, <property>, <value> without comma 
     * no spaces between :{ or : or ,
     * @param fnpv field name and property value in format: <field name>:{<property>:<value>,..}
     */
    public void setField(String fnpv) {
        String nfnpv = fnpv.substring(0,fnpv.length()-1);
        String[] fn = nfnpv.split(":\\{");
        if ( fn.length != 2 ) return;
        String[] fpv = fn[1].split(",");
        for(String pv:fpv) {
            String[] p_v = pv.split(":");
            if ( p_v.length == 2 ) {
System.out.println("SSTable.setField("+fn[0]+","+p_v[0]+","+p_v[1]+")");
                setField(fn[0],p_v[0],p_v[1]);
            }
        }
    }
    /**
     * @param fn field name
     * @param prop field property name
     * @param value field property value
     */
    public void setField(String fn,String prop,String value) {
        SSField fld = getField(fn);
        if ( fld != null ) fld.setField(prop,value);
        else {
            SSField nfld = new SSField(fn);
            nfld.setField(prop,value);
            add(nfld);
        }
    }
    /**
     * @param an action name
     * @param av action value
     */
    public void setAction(String an,String av) {
        SSOption o = act.get(an);
        if ( o != null ) {
            o.setValue(av);
            o.setMandatory(true);
        } else {
            SSOption on = new SSOption(an,"string",null,av,true);
            act.put(an,on);
        }
    }
    public SSField getField(final String fn) {
        for(SSField f : fields) if ( f.getName().equalsIgnoreCase(fn) ) return f;
        return null;
    }
    public SSField getField(final int n) {
        return fields.get(n);
    }
    public int getFieldCount() { return fields.size(); }
    public String generate() {
        if ( getName() == null ) return null;
        //
        StringBuffer sb = new StringBuffer();
        sb.append("{");
        // general options
        Set<String> set = gral.keySet();
        Iterator<String> i = set.iterator();
        List<String> agen = new ArrayList<String>();
        while(i.hasNext()) {
            String so = i.next();
            SSOption o = gral.get(so);
            String gen = o.generate();
            if ( gen != null ) agen.add(gen);
        }
        if ( agen.size() > 0 ) {
            if ( agen.size() == 1 ) {
                sb.append(agen.get(0));
            } else {
                sb.append(agen.get(0));
                for(int ii=1;ii<agen.size();ii++) sb.append(","+agen.get(ii));
            }
        }
        agen.clear();
        // actions
        set = act.keySet();
        i = set.iterator();
        while(i.hasNext()) {
            String so = i.next();
            SSOption o = act.get(so);
            String gen = o.generate();
            if ( gen != null ) agen.add(gen);
        }
        if ( agen.size() > 0 ) {
            if ( agen.size() == 1 ) {
                sb.append(",\"actions\":{");
                sb.append(agen.get(0));
                sb.append("}");
            } else {
                sb.append(",\"actions\":{");
                sb.append(agen.get(0));
                for(int ii=1;ii<agen.size();ii++) sb.append(","+agen.get(ii));
                sb.append("}");
            }
        }
        agen.clear();
        // fields
        for(SSField f : fields) {
            String gen = f.generate();
            if ( gen != null ) agen.add(gen);
        }
        if ( agen.size() > 0 ) {
            if ( agen.size() == 1 ) {
                sb.append(",\"fields\":{");
                sb.append(agen.get(0));
                sb.append("}");
            } else {
                sb.append(",\"fields\":{");
                sb.append(agen.get(0));
                for(int ii=1;ii<agen.size();ii++) sb.append(","+agen.get(ii));
                sb.append("}");
            }
        }
        agen.clear();
        
        // events
        if ( evt.keySet().size() > 0 ) {
            set = evt.keySet();
            i = set.iterator();
            while(i.hasNext()) {
                String so = i.next();
                SSOption o = evt.get(so);
                String gen = o.generate();
                if ( gen != null ) agen.add(gen);
            }
        }
        if ( agen.size() > 0 ) {
            if ( agen.size() == 1 ) {
                sb.append(","+agen.get(0));
            } else {
                sb.append(","+agen.get(0));
                for(int ii=1;ii<agen.size();ii++) sb.append(","+agen.get(ii));
            }
        }

        
        // end jtable
        sb.append("}");
        return sb.toString();
    }

    // override
    @Override
    public int hashCode() {
        return getName().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        return ((SSTable) obj).getName().equals(getName());
    }
    @Override
    public String toString() {
        return generate();
    }
}
